Subject: Re: [nvo3] [OPS-DIR] Opsdir last call review of draft-ietf-nvo3-mcast-framework-09

From: Linda Dunbar <[email-masked]>
Date: Thu, 5 Oct 2017 21:56:49 +0000

Tian Ran,

Thank you very much reviewing the documents. Please see below for the reply to your comments.

-----Original Message-----
From: OPS-DIR [mailto:[email-masked]] On Behalf Of Tianran Zhou
Sent: Friday, September 22, 2017 9:20 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: [OPS-DIR] Opsdir last call review of draft-ietf-nvo3-mcast-framework-09

Reviewer: Tianran Zhou
Review result: Has Nits

I have reviewed this document as part of the Operational directorate's ongoing effort to review all IETF documents being processed by the IESG. These comments were written with the intent of improving the operational aspects of the IETF drafts. Comments that are not addressed in last call may be included in AD reviews during the IESG review. Document editors and WG chairs should treat these comments just like any other last call comments.

This informational document discussed several methods to support multicast in NVO3. My major concern is that I did not see a clear *framework*, while the title seems to discuss this. The WG should have consensus on the scope and content.
[Linda] The word *framework*  is chosen because the draft describes the "framework" of how to handing various multicast traffic.

However, I did not see any special operational or network management related issue. It's ready, but please consider the following nits.

1. It seems the expiration date setting is wrong. So line 44 and page header show the wrong information.

2. Line 139, ".." to "."

[Linda] Do you mean the first paragraph of Section 1.1?

3. In section 1.1, "The NVEs can then trap ARP Request/ND Neighbor Solicitation messages from the TSs that are attached to it and respond to them, thereby eliminating the need to for broadcast/multicast of such messages."

Please expand the "TS" for it's first use, although I see an explanation in line 184. And "it","them" here are not clear to me. And "need to for" seems a nit.
[Linda] TS is defined in the Terminology Section. Okay, I added the definition in this paragraph.

4. Line 173, please expand the "MLD", or add an reference.
[Linda] added the reference to RFC 2710.

5. In section 3, "traffic between NVEs is transported using an encapsulation such as Virtual eXtensible Local Area Network (VXLAN) [RFC7348,VXLAN-GPE]". To me, VXLAN and VXLAN-GPE are different. So I suggest to say "Virtual eXtensible Local Area Network (VXLAN) [RFC7348] and the extension [VXLAN-GPE]".

[Linda] the Text is giving some examples of the encapsulations, VxLAN, or VxLAN-GPE, etc.

6. Line 236, ", ," to ","
[Linda] Good catch. Thank you.

7. Line 274, "tradeoffs" to "trade-offs", so as to be identical in this document.
[Linda] changed.

8. Line 392, ''' [RFC6513] "Multicast VPN" ''' to ''' "Multicast VPN"[RFC6513] '''

[Linda] changed.

9. Line 438, "LAN Emulation (LANE)LANE" to "LAN Emulation (LANE)"
[Linda] changed.

10. Line 439, expand "RP"
[Linda] changed.

11. Line 536, "implementaion" to "implementation"
[Linda] Good catch. Thank you.

12. Line 560, "former's" to "former"
[Linda] changed.

13. Line 591, "an intermediate node (router)" to "an intermediate node (e.g., router)"
[Linda] changed.

_______________________________________________
OPS-DIR mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ops-dir